de.esprit.common.util

## Class StringTable

- java.lang.Object
- - de.esprit.common.util.StringTable

-     public class StringTable
      extends java.lang.Object

  This class supports formating textual tables according to a format-string whereas the table cells may be left, center, or right aligned.
  Example: the format string "L20 C10 R5" means:
  - first field left aligned and 20 chars long
  - second field center aligned and 10 chars long
  - third field right aligned and 5 chars long
  Author:
    Rainer Buesch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StringTable(java.lang.String formatStr)`
    `StringTable(java.lang.String[] format)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `dashline()`
    `static void` | `main(java.lang.String[] args)` For testing only
    `java.lang.String` | `parse(java.lang.Object... args)` Parses the argument objects and formats them into the string table.
    `void` | `setFillCharacter(char c)`
    `void` | `setSeparatorCharacter(char c)`
    `void` | `setTrailingSeparator(boolean b)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StringTable

          public StringTable(java.lang.String formatStr)

    - #### StringTable

          public StringTable(java.lang.String[] format)

  - ### Method Detail

    - #### setTrailingSeparator

          public void setTrailingSeparator(boolean b)

    - #### setSeparatorCharacter

          public void setSeparatorCharacter(char c)

    - #### setFillCharacter

          public void setFillCharacter(char c)

    - #### parse

          public java.lang.String parse(java.lang.Object... args)

      Parses the argument objects and formats them into the string table. Note that the number of arguments must not be greater than the number of placeholders in the format string.

    - #### dashline

          public java.lang.String dashline()

    - #### main

          public static void main(java.lang.String[] args)

      For testing only

Copyright © 2014 EsprIT-Systems. All Rights Reserved.